package com.zj365.mime.adapter

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.zj365.mime.R
import com.xty.network.model.ScoreBean

class ScoreChildAdapter:BaseAdapter<ScoreBean.Records>(R.layout.item_score_child) {

    private val maps by lazy{ mapOf(1 to "签到",2 to "查看日报",3 to "阅读健康科普",4 to "分享",5 to "日常打卡",
        6 to "电子化验单上传", 7 to "完善个人资料",8 to "查看服务板块—操作指南",9 to "登录App同步数据")}

    override fun convert(holder: BaseViewHolder, item: ScoreBean.Records) {
        holder.setText(R.id.mNane,maps[item.type])
            .setText(R.id.mScore,"${item.num}")
    }
}